cURL
curl --request POST \ --url https://whitebit.com/api/v4/trade-account/order/history \ --header 'Content-Type: application/json' \ --header 'X-TXC-APIKEY: <api-key>' \ --data ' { "market": "BTC_USDT", "offset": 0, "limit": 50, "request": "{{request}}", "nonce": "{{nonce}}" } '
{ "BTC_USDT": [ { "amount": "0.0009", "price": "40000", "type": "limit", "id": 4986126152, "clientOrderId": "customId11", "side": "sell", "ctime": 1597486960.311311, "takerFee": "0.001", "ftime": 1597486960.311332, "makerFee": "0.001", "dealFee": "0.041258268", "dealStock": "0.0009", "dealMoney": "41.258268", "postOnly": false, "ioc": false, "status": "CANCELED", "feeAsset": "USDT", "stp": "no", "rpi": false } ] }
API Key authentication for private endpoints.
Required headers:
"BTC_USDT"
0
50
"{{request}}"
"{{nonce}}"
Successful response - returns order history grouped by market. Empty response if order is not yours.
Object with market names as keys, each containing an array of orders
Show child attributes
Was this page helpful?